### 变磁化参数化极（DRTP）
#### 简介
drtp程序可计算变磁化参数（磁偏角与磁倾角）的化极磁异常，适用于大陆磁异常数据的化极处理。程序可计算或读入标准IGRF程序生成的主磁场参数，并计算相应的化极磁异常。程序适用于网格化的总场磁异常数据的处理，网格文件的格式为netCDF格式。
#### 程序用法
如下所示，drtp程序可通过命令行调用，参数为配置文件的名称（包含路径）。
```cxx
./drtp <config-file>
```
配置文件为普通文本文件，注释行以`#`号开始。文件中每一行包含一条选项配置，格式为：
```shell
<key> = <value>
```
##### 选项列表
如下为程序可识别的选项键值与相应的选项格式：
```shell
# Directory to the netcdf file of the deltaT anomalies
input-grid = <file>
# Directory to the output netcdf file
output-grid = <file>
# Names of data attribute of the netcdf file. The default is x,y,z.
grid-para = <x-axis>,<y-axis>,<data>
# Directory to the executable of the geomag.exe program
geomag-exe = <exe>
# Parameters needed by the geomag.exe program
geomag-para = <para>
# Directory to the output file of the geomag.exe program
geomag-output = <file>
# Directory to the IGRF model file
IGRF = <file>
# Call the geomag.exe program to calculate the geomagnetic parameters
call-geomag = yes|no
# Use a set of mean geomagnetic parameters defined by the user. Use this option to run a non-differential RTP process.
mean-geomag = <inc>/<dec>
# Differential orders of the taylor series. Must be between 1 and 5. The default order is 2.
taylor-order = <order>
```
不同计算流程所需的选项如下：
1. 非变参数化极（普通化极）
```shell
input-grid mean-geomag output-grid(optional) grid-para(optional)
```
2. 变参数化极（无IGRF参数文件）
```shell
input-grid output-grid(optional) geomag-exe geomag-para geomag-output IGRF call-geomag(yes) taylor-order(optional) grid-para(optional)
```
3. 变参数化极（有IGRF参数文件）
```shell
input-grid output-grid(optional) geomag-output call-geomag(no) taylor-order(optional) grid-para(optional)
```